/******************************************************************************
 *
 * Header file for harnessd options (option parser) module.
 * Copyright (c) 2002-2006 Oak Ridge National Laboratory.
 *
 * For more information see the following files in the source distribution top-
 * level directory or package data directory (usually /usr/local/share/package):
 *
 * - README    for general package information.
 * - INSTALL   for package install information.
 * - COPYING   for package license information and copying conditions.
 * - AUTHORS   for package authors information.
 * - ChangeLog for package changes information.
 *
 ******************************************************************************/

/* Avoid to include the content of this header file twice. */
#ifndef HARNESSD_OPTIONS_H
#define HARNESSD_OPTIONS_H

/******************************************************************************
 *
 * Macros
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Includes
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Data Types
 *
 ******************************************************************************/

/* None at this time. */

/******************************************************************************
 *
 * Function Prototypes
 *
 ******************************************************************************/

/*
 * Initializes the option parser.
 *
 * argc   = The argument vector count.
 * argv   = The argument vector (argument[0] is the program name).
 * envp   = The variable vector.
 * return = 0 on success or -1 on any error with errno set appropriately.
 *          May exit with EXIT_SUCCESS if an option requires it and may exit
 *          with EXIT_FAILURE for unrecognized options and missing values.
 */
int harnessd_options_init (int          argc,
                           const char **argv,
                           const char **envp);

/*
 * Finalizes the option parser.
 *
 * return = 0 on success or -1 on any error with errno set appropriately.
 */
int harnessd_options_fini ();

/******************************************************************************
 *
 * Data
 *
 ******************************************************************************/

/* None at this time. */

#endif /* HARNESSD_OPTIONS_H */

/******************************************************************************
 *
 * END OF FILE
 *
 ******************************************************************************/
